FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000344FL52.2 Subprogram FLUC (CONV)public2014-02-25 09:382014-03-14 00:24
ReporterFalk Reichbott 
Assigned ToMykhailo Moldavskyy 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformGeneralOSGeneralOS VersionGeneral
Product Version0.08 
Target Version0.09Fixed in Version0.09 
Summary0000344: Support mapping of DYNALLOC return/info codes to message strings
DescriptionIf a dynamic allocation fails the error message looks like below. It would be much more easer if the corresponding error message provided depending on the error and info numbers. Mainly for the important and common ones first.

*** Begin error trace ***
* FLAM-VERSION: 5.0.0.0 BUILD: DEBUG Feb 24 2014 15:38:40
* SOURCE-FILE : FL5D.FALK.CSRC(FIOBLK) FUNCTION: foblkowt ROW: 720 LOC: 45
* RETURN-CODE : 57 - Open of original file failed
* CTX-MESSAGE : Problem with dynamic allocation of original file for write...
* OPERATION : ..
* VALUES : psHdl->stFilAtr.acFilNam==tst/FL5/zosz31d0/output...
* VALUES : psHdl->isPrnCtr==TRUE
* ERROR / INFO: x00035C / xFFFF8017
* SEE : MVS > Programming Authorized Assembler Service Guide >
* Requesting dynamic allocation functions > Interpreting DYNALLOC return codes
* -------------
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2014-02-25 09:38 Falk Reichbott New Issue
2014-02-25 09:38 Falk Reichbott Status new => assigned
2014-02-25 09:38 Falk Reichbott Assigned To => Falk Reichbott
2014-02-25 09:39 Falk Reichbott Assigned To Falk Reichbott => Mykhailo Moldavskyy
2014-03-11 15:40 Falk Reichbott Product Version 5.1 => 0.08
2014-03-11 15:40 Falk Reichbott Target Version 0.08 => 0.09
2014-03-14 00:24 Falk Reichbott Status assigned => resolved
2014-03-14 00:24 Falk Reichbott Fixed in Version => 0.09
2014-03-14 00:24 Falk Reichbott Resolution open => fixed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker